|  | Home · All Classes · Modules

# QStyleOptionProgressBar Class Reference
[QtGui module]

The QStyleOptionProgressBar class is used to describe the parameters necessary for drawing a progress bar. More...

Inherits QStyleOption.

Inherited by QStyleOptionProgressBarV2.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionProgressBar other)

### Members

- int maximum
- int minimum
- int progress
- QString text
- Qt.Alignment textAlignment
- bool textVisible

## Detailed Description

The QStyleOptionProgressBar class is used to describe the parameters necessary for drawing a progress bar.

Since Qt 4.1, Qt uses the QStyleOptionProgressBarV2 subclass for drawing QProgressBar.

An instance of the QStyleOptionProgressBar class has type SO_ProgressBar and version 1.

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

If you create your own QStyle subclass, you should handle both QStyleOptionProgressBar and QStyleOptionProgressBarV2.

For an example demonstrating how style options can be used, see the Styles example.

See also QStyleOptionProgressBarV2 and QStyleOption.

## Type Documentation

### QStyleOptionProgressBar.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionProgressBar.Type` | `SO_ProgressBar` | The type of style option provided (SO_ProgressBar for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### QStyleOptionProgressBar.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionProgressBar.Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionProgressBar.__init__ (self)

Constructs a QStyleOptionProgressBar, initializing the members variables to their default values.

### QStyleOptionProgressBar.__init__ (self, QStyleOptionProgressBar other)

Constructs a copy of the other style option.

## Member Documentation

### int maximum

This variable holds the maximum value for the progress bar.

This is the maximum value in the progress bar. The default value is 0.

See also QProgressBar.maximum.

### int minimum

This variable holds the minimum value for the progress bar.

This is the minimum value in the progress bar. The default value is 0.

See also QProgressBar.minimum.

### int progress

This variable holds the current progress for the progress bar.

The current progress. A value of QStyleOptionProgressBar.minimum - 1 indicates that the progress hasn't started yet. The default value is 0.

See also QProgressBar.value.

### QString text

This variable holds the text for the progress bar.

The progress bar text is usually just the progress expressed as a string. An empty string indicates that the progress bar has not started yet. The default value is an empty string.

See also QProgressBar.text.

### Qt.Alignment textAlignment

This variable holds the text alignment for the text in the QProgressBar.

This can be used as a guide on where the text should be in the progress bar. The default value is Qt.AlignLeft.

### bool textVisible

This variable holds a flag indicating whether or not text is visible.

If this flag is true then the text is visible. Otherwise, the text is not visible. The default value is false.

See also QProgressBar.textVisible.